TMF620 v4 Product Catalog Management

POST Create a product catalog

POST /catalog

Creates a Catalog entity.

Parameters

  • Authorization (header, string, required) Specifies the bearer token to use for the authentication of request.
  • Namespace (header, string) Specifies the namespace to use with the URL path.
  • Domain-Name (header, string, required) Specifies the domain name to use with the URL path received from the userinfo API.

Request body

Media type: application/json. Schema: Catalog_Create.

Specifies the Catalog to be created.

Example

{
  "name": "Catalog Wholesale Business",
  "description": "Describes product offerings and technical specifications intended to address the wholesale business segment.",
  "catalogType": "ProductCatalog",
  "version": "1.0",
  "validFor": {
    "startDateTime": "2020-08-29T00:00:00Z",
    "endDateTime": "2024-03-25T00:00:00Z"
  },
  "lifecycleStatus": "Active",
  "relatedParty": [
    {
      "href": "https://mycsp.com:8080/tmf-api/partyManagement/v4/organization/3426",
      "id": "3426",
      "name": "Broadly Broad Ltd",
      "role": "vendor",
      "@referredType": "Organization",
      "@type": "RelatedParty",
      "@schemaLocation": "https://mycsp.com:8080/tmf-api/schemas/EngagedParty/RelatedParty.schema.json"
    }
  ],
  "@type": "Catalog",
  "@schemaLocation": "https://mycsp.com:8080/tmf-api/schemas/Product/Catalog.schema.json"
}

Responses

  • 201 Created the resource.

    Media type: application/json. Schema: Catalog_Create (extended).

    Includes all fields of Catalog_Create.

    • href (string, required) Specifies the unique reference of the Catalog.
    • id (string, required) Specifies the unique identifier of the Catalog.

    Example

    {
      "id": "3830",
      "href": "https://mycsp.com:8080/tmf-api/productCatalogManagement/v4/Catalog/3830",
      "name": "Catalog Wholesale Business",
      "description": "Describes product offerings and technical specifications intended to address the wholesale business segment.",
      "catalogType": "ProductCatalog",
      "version": "1.0",
      "validFor": {
        "startDateTime": "2020-08-29T00:00:00Z",
        "endDateTime": "2024-03-25T00:00:00Z"
      },
      "lastUpdate": "2020-08-27T00:00:00Z",
      "lifecycleStatus": "Active",
      "relatedParty": [
        {
          "href": "https://mycsp.com:8080/tmf-api/partyManagement/v4/organization/3426",
          "id": "3426",
          "name": "Broadly Broad Ltd",
          "role": "vendor",
          "@referredType": "Organization",
          "@type": "RelatedParty",
          "@schemaLocation": "https://mycsp.com:8080/tmf-api/schemas/EngagedParty/RelatedParty.schema.json"
        }
      ],
      "@type": "Catalog",
      "@baseType": "",
      "@schemaLocation": "https://mycsp.com:8080/tmf-api/schemas/Product/Catalog.schema.json"
    }
  • 400 There was an issue with your request.

    Media type: application/json. Schema: Error.

    Example

    code: "400"
    reason: "name is mandatory to create Price list entry "
  • 404 Resource not found.

    Media type: application/json. Schema: Error.

    Example

    code: "404"
    reason: There are no matching resource
  • 500 Internal Server Error

    Media type: application/json. Schema: Error.

    Example

    code: "500"
    reason: Internal Server Error